Get run callbacks
curl --request GET \
--url https://api.edges.run/v1/runs/callbacks \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.edges.run/v1/runs/callbacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/runs/callbacks"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_count": 0,
"created_at": "<string>",
"status": "PENDING",
"callback_url": "<string>",
"http_status": 123,
"http_response": {},
"batch_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduled_run_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": {
"message": "<string>",
"error_label": "<string>",
"error_scope": "<string>",
"status_code": 123,
"params": {},
"error_ref": "<string>"
},
"workspace_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}Run Callbacks
List Run Callbacks
List and filter callbacks for runs with pagination and status filtering
GET
/
runs
/
callbacks
Get run callbacks
curl --request GET \
--url https://api.edges.run/v1/runs/callbacks \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.edges.run/v1/runs/callbacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.edges.run/v1/runs/callbacks"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_count": 0,
"created_at": "<string>",
"status": "PENDING",
"callback_url": "<string>",
"http_status": 123,
"http_response": {},
"batch_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scheduled_run_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": {
"message": "<string>",
"error_label": "<string>",
"error_scope": "<string>",
"status_code": 123,
"params": {},
"error_ref": "<string>"
},
"workspace_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}{
"error_label": "<string>",
"error_scope": "input",
"error_ref": "ERR-12345",
"message": "<string>",
"status_code": 123,
"params": {},
"data": {}
}Authorizations
Query Parameters
Minimum array length:
1Available options:
PENDING, RUNNING, FAILED, SUCCESS Minimum array length:
1Required range:
1 <= x <= 100Required range:
x >= 0Sort by fields. Prefix with - for descending order. Default is ascending order.
Maximum array length:
10Maximum string length:
128Response
Returns the run callbacks
Run callback UUID
Identifies the original run callback from which the current callback originates. It is set when a callback is created as part of a replay of a previous run callback.
Retry count
Created at
Callback status
Available options:
PENDING, RUNNING, FAILED, SUCCESS Callback URL
HTTP status code of the callback
HTTP response of the callback
Batch UUID
Run UUID
Scheduled run UUID if the callback is associated with a scheduled run
Error information if the callback failed
Show child attributes
Show child attributes
Workspace UUID

